<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="?android:attr/actionBarSize"
        android:background="#ffffff"
        android:elevation="@dimen/seekbarsize_small"
        app:contentInsetLeft="0dp"
        app:contentInsetStart="0dp"
        app:popupTheme="@style/AppTheme.PopupOverlay">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:scrollHorizontally="true"
            android:singleLine="true"
            android:text="My Discussions"
            android:textAllCaps="true"
            android:textColor="@color/base_color"
            android:textSize="@dimen/txt15"
            android:textStyle="bold" />
    </androidx.appcompat.widget.Toolbar>

    <ScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/llout_comment"
        android:layout_below="@+id/toolbar"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/llout_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                tools:ignore="MissingConstraints">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="@dimen/_2sdp"
                    android:layout_marginBottom="@dimen/_2sdp"
                    android:layout_weight="1.3"
                    tools:ignore="MissingConstraints">

                    <com.github.siyamed.shapeimageview.CircularImageView
                        android:id="@+id/img_profile_image"
                        android:layout_width="@dimen/_30sdp"
                        android:layout_height="@dimen/_30sdp"
                        android:layout_gravity="center"
                        android:layout_marginStart="16dp"
                        android:background="?attr/selectableItemBackgroundBorderless"
                        android:clickable="true"
                        android:focusable="true"
                        android:src="@drawable/user_vc" />

                    <TextView
                        android:id="@+id/txt_user_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start|center"
                        android:layout_marginStart="10dp"
                        android:gravity="start|center"
                        android:text="Muthu"
                        android:textColor="@color/material_black"
                        android:textSize="@dimen/txt12" />
                </LinearLayout>

                <TextView
                    android:id="@+id/txt_post_time"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight=".7"
                    android:background="?attr/selectableItemBackgroundBorderless"
                    android:gravity="center|end"
                    android:text="19-jun-2021"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/txt12" />
            </LinearLayout>

            <ImageView
                android:id="@+id/img_post_image"
                android:layout_width="match_parent"
                android:layout_height="180dp"
                android:scaleType="centerCrop"
                android:src="@drawable/blog_image"
                app:layout_constraintTop_toBottomOf="@+id/title" />

            <LinearLayout
                android:id="@+id/count"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                app:layout_constraintTop_toBottomOf="@+id/post_image">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    app:layout_constraintTop_toBottomOf="@+id/post_image">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_marginStart="25dp"
                        android:layout_marginTop="8dp"
                        android:background="?attr/selectableItemBackgroundBorderless"
                        app:srcCompat="@drawable/liked" />

                    <TextView
                        android:id="@+id/txt_count"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginBottom="8dp"
                        android:text="5 Likes"
                        android:textColor="@color/grey" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:id="@+id/txt_comment_count"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="end|center"
                        android:layout_marginTop="8dp"
                        android:layout_marginEnd="25dp"
                        android:layout_marginBottom="8dp"
                        android:background="?attr/selectableItemBackgroundBorderless"
                        android:gravity="end"
                        android:text="10 Comments" />
                </LinearLayout>
            </LinearLayout>

            <TextView
                android:id="@+id/txt_post_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="18dp"
                android:ellipsize="end"
                android:text="Caution, Strangers Online!"
                android:textColor="@color/base_color"
                android:textSize="@dimen/txt16"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/txt_post_desc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginEnd="18dp"
                android:fontFamily="serif"
                android:gravity="start"
                android:lineSpacingExtra="4dp"
                android:paddingTop="5dp"
                android:text="Back in the days before the internet, pen-pals used to be a common term heard between schoolgoers and adults where conversations used to be between strangers were through written letters. When the internet took over the world, online chat rooms were available and conversations with strangers continued in a new fashion. Slowly, threats of this new phenomenon emerged with the evolution of technology and platforms. The number of online chatting with strangers increases, despite the experiences and the media, exposing incidents and threats, and parents of adolescents were facing a grave challenge in protecting their wards.

Every computer provides parental control to secure the system from hackers, viruses, and alike. But these parental controls do not provide control on the other online risks that your child may undergo.

You must be cautious while Chat With Strangers Online. Source from regain.us say the following:

1. Identity Thefts - The internet is a playground for people who want to commit identity theft and financial fraud. They can pose as old friends, distant family members, or simply a person in need without much effort. This is an easy way to make kind-hearted people who just want to help others, into victims.

2. Age cannot be judged - The reason scams and catfishing are so successful online is that you can never really be sure who is who in the digital world. This is especially dangerous in the case of adults who pursue relationships with someone underage. Most of the time, a predator knows exactly what they are doing. They will either pose as a child who wants a romantic relationship with a peer or simply a friendly adult who wishes to gain a child's trust.

3. You become a target - When strangers chat on social media, a lot of personal information is often revealed. Most social media profiles include personal pictures, and information about birthdays, places of work, and hometowns. With so much access to typically private information, those with ill intent have an easier job of keeping track of your every move.

4. Online Bullies - Online bullying or cyberbullying is a possibility for anyone who logs onto social media platforms, chatrooms, apps, or forums. A hate comment here and there is one thing, but pervasive harassment is another.

Safety isn't expensive, it's priceless. Being hateful online and hiding behind your computer is the lowest of low, where's the love people, lets put a stop to this."
                android:textColor="#3e3c3c"
                android:textSize="@dimen/txt12"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/post_title" />
        </LinearLayout>
    </ScrollView>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_above="@+id/llout_comment"
        android:background="@color/grey" />

    <LinearLayout
        android:id="@+id/llout_comment"
        android:layout_width="match_parent"
        android:layout_height="@dimen/_40sdp"
        android:layout_alignParentBottom="true"
        android:background="@color/white">

        <LinearLayout
            android:id="@+id/llout_likes"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:gravity="center">

            <ImageView
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:clickable="true"
                android:focusable="true"
                android:src="@drawable/unliked"
                app:tint="@color/material_bluegrey800" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="5dp"
                android:gravity="center"
                android:text="Like"
                android:textColor="@color/material_black"
                android:textSize="@dimen/txt12" />
        </LinearLayout>

        <View
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/grey" />

        <LinearLayout
            android:id="@+id/llout_comments"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:gravity="center">

            <ImageView
                android:id="@+id/comment_bt"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:clickable="true"
                android:focusable="true"
                android:src="@drawable/comment"
                app:tint="@color/material_bluegrey800" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginStart="5dp"
                android:gravity="center"
                android:text="Comments"
                android:textColor="@color/material_black"
                android:textSize="@dimen/txt12" />
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>
